Package com.independentsoft.office.charts

# Class DataPoint

java.lang.Object
com.independentsoft.office.charts.DataPoint

public class DataPoint extends Object
The Class DataPoint.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataPoint()`
  Instantiates a new data point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataPoint`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `int`
  `getExplosion()`
  Gets the explosion.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getIndex()`
  Gets the index.
  `Marker`
  `getMarker()`
  Gets the marker.
  `PictureOptions`
  `getPictureOptions()`
  Gets the picture options.
  `boolean`
  `isBubble3D()`
  Checks if is bubble3 d.
  `boolean`
  `isInvertIfNegative()`
  Checks if is invert if negative.
  `void`
  `setBubble3D​(boolean bubble3D)`
  Sets the bubble3 d.
  `void`
  `setExplosion​(int explosion)`
  Sets the explosion.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setInvertIfNegative​(boolean invertIfNegative)`
  Sets the invert if negative.
  `void`
  `setMarker​(Marker marker)`
  Sets the marker.
  `void`
  `setPictureOptions​(PictureOptions pictureOptions)`
  Sets the picture options.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DataPoint

    public DataPoint()
    Instantiates a new data point.

- ## Method Details

  - ### clone

    public DataPoint clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isBubble3D

    public boolean isBubble3D()
    Checks if is bubble3 d.
    Returns:
      true, if is bubble3 d

  - ### setBubble3D

    public void setBubble3D​(boolean bubble3D)
    Sets the bubble3 d.
    Parameters:
      `bubble3D` - the new bubble3 d

  - ### getExplosion

    public int getExplosion()
    Gets the explosion.
    Returns:
      the explosion

  - ### setExplosion

    public void setExplosion​(int explosion)
    Sets the explosion.
    Parameters:
      `explosion` - the new explosion

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### isInvertIfNegative

    public boolean isInvertIfNegative()
    Checks if is invert if negative.
    Returns:
      true, if is invert if negative

  - ### setInvertIfNegative

    public void setInvertIfNegative​(boolean invertIfNegative)
    Sets the invert if negative.
    Parameters:
      `invertIfNegative` - the new invert if negative

  - ### getMarker

    public Marker getMarker()
    Gets the marker.
    Returns:
      the marker

  - ### setMarker

    public void setMarker​(Marker marker)
    Sets the marker.
    Parameters:
      `marker` - the new marker

  - ### getPictureOptions

    public PictureOptions getPictureOptions()
    Gets the picture options.
    Returns:
      the picture options

  - ### setPictureOptions

    public void setPictureOptions​(PictureOptions pictureOptions)
    Sets the picture options.
    Parameters:
      `pictureOptions` - the new picture options

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties